Uploaded image for project: 'Spring Roo'
  1. Spring Roo
  2. ROO-3348

RooBot xml does not work

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Complete
    • Affects Version/s: 1.2.3.RELEASE
    • Fix Version/s: None
    • Component/s: @ CORE, @ ROO SHELL
    • Environment:
      Window 7, Roo shell

      Description

      Problem found when searching for addons.

      roo> addon install bundle --bundleSymbolicName org.springframework.roo.addon.cloud.foundry;1.1.4.RELEASE
      Could not find specified bundle with symbolic name: org.springframework.roo.addon.cloud.foundry;1.1.4.RELEASE

      roo> cloud
      Command 'cloud' not found (for assistance press TAB or type "hint" then hit ENTER)
      addon search --requiresCommand "cloud" found no matches

      -------------------------------------------------------------------------
      roobot.xml at the following link has only 9 bundles. Therefore, cloud foundry cannot be found.
      http://spring-roo-repository.springsource.org/roobot/roobot.xml

      -------------------------------------------------------------------------
      The list in roo shell has 8 bundles too.
      roo> addon list
      8 found, sorted by rank; T = trusted developer; R = Roo 1.2 compatible
      ID T R DESCRIPTION -------------------------------------------------------
      01 Y Y 0.1.1 A Roo add-on that configures a Maven site.
      02 - Y 1.0.0.0001 This bundle wraps the standard Maven artifact:
      google-collections-1.0.0.
      03 - Y 2.0.0.v201106070531 This bundle wraps the standard Maven artifact:
      org.eclipse.xtext.xtend2.lib-2.0.0.v201106070531.
      04 - Y 2.3.1 This bundle wraps the standard Maven artifact:
      org.eclipse.xtext.xtend2.lib-2.3.1.
      05 - Y 2.0.0.v201106070531 This bundle wraps the standard Maven artifact:
      org.eclipse.xtext.xbase.lib-2.0.0.v201106070531.
      06 - Y 10.0.1.0001 This bundle wraps the standard Maven artifact:
      google-guava-10.0.1.
      07 Y Y 0.9.3 Installs the Spock testing engine. You can create tests using
      Spock's Specifications, and use the Spock Spring API
      08 Y Y 1.0.0.RELEASE Adds the coffeescript maven compiler

      -------------------------------------------------------------------------
      Please help. Cannot move on without solving this problem.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              stewarta Alan Stewart
              Reporter:
              silverchung Wong Kin Chung
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 15d
                  15d
                  Remaining:
                  Remaining Estimate - 15d
                  15d
                  Logged:
                  Time Spent - Not Specified
                  Not Specified